<?php

/**
* Allows user to make command-line calls to client
*
* @author   Don Seiler <don@NOSPAM.seiler.us>
*  @author Moritz Warning <mwarning@users.sourceforge.net>
*/
function cmd()
{
	$content = NULL;
	$_SESSION['headline'] = _("Console");
	
	// Print form to take command
	$content .= '<form method="post" action="index.php">'.NL;
	$content .= '<input type="hidden" name="CORE_OP" value="cmd" />'.NL;
	$content .= '<input type="text" name="command" size="50" value="'.$_REQUEST["command"].'" />'.NL;
	$content .= '<input type="submit" name="sendcommand" value="' . _("Send Command") . '" />'.NL;
	$content .= "</form>\n<br /><br />\n";
	
	if(isset($_REQUEST["command"]) AND trim($_REQUEST["command"]) != "") {
	
		$mldarray = $_SESSION['interface']->commandLine(trim($_REQUEST["command"]));
		
		$content .= '<table><tr><td align="left"><pre>'.BN;
		foreach($mldarray as $line) {
			$content .= htmlspecialchars($line);
		}
		$content .= "</pre></td></tr></table>\n";
	} else {
		$content .= _("Use ? for help").BN;
	}
	
	return $content;
}
?>