<?php

/**
* Handle everything  page refresh related
*
* @author Moritz Warning <mwarning@users.sourceforge.net>
*/
function getPageRefresh()
{
	$content = NULL;
	if (in_array($_REQUEST["CORE_OP"], $_SESSION['core']->pageRefresh)) {
			
			$previous = 0;
			$min_refresh = $_SESSION['core']->min_page_refresh;
			$page_refresh = $_SESSION["user"]->page_refresh;
			//if($_SESSION["user"]->page_refresh != 0 AND $_SESSION["user"]->page_refresh > $_SESSION["core"]->min_page_refresh) {
			//	$_SESSION["user"]->page_refresh
			//}
			
			if ($page_refresh > 0) {
				$previous = $_SESSION["user"]->page_refresh;
				if($previous < $min_refresh) { $previous = $min_refresh; }
				$content .= sprintf(_("Refreshing every %s seconds."), $previous);
			}
			
			//print dropdown menu
			if ($page_refresh == 0) {
			
				if(isset($_REQUEST["refresh_interval"])) {
					$_SESSION["refresh_interval"] = $_REQUEST["refresh_interval"];
				}
				
				if(isset($_SESSION["refresh_interval"])) {
					$previous = $_SESSION["refresh_interval"];
				}
				
				$content .= '<form method="POST" name="refresh_form">'."\n";
				list($begin, $end) = split("%s", _("Refreshing every %s seconds."));
				$content .= "$begin\n";
				
				if($_SESSION['core']->use_javascript) {
					$content .= '<select name="refresh_interval" onchange="javascript:document.refresh_form.submit()">'."\n";
				} else {
					$content .= '<select name="refresh_interval">'.NL;
				}
				//$content .= '<script type="text/javascript">'."\n";
				//$content .= '<select name="refresh_interval" onchange="javascript:document.refresh_form.submit()">'."\n";
				//$content .= "</script>\n";
				
				//$content .= "<noscript>\n";
				//$content .= "<select name=\"refresh_interval\">\n";
				//$content .= "</noscript>\n";
				
				$values = array( 0 => "&infin;", 5 => "5", 10 => "10", 30 => "30", 60 => "60", 120 => "120");
				foreach($values as $refresh_sec => $refresh_id) {
					if($refresh_sec > 0 AND $refresh_sec <  $min_refresh) { continue; }
					$content .= '<option value="'.$refresh_sec.'"';
					if ($previous == $refresh_sec) {
						$content .= " selected";
					}
					$content .= ">$refresh_id</option>\n";
				}
				$content .= "</select>\n";
				$content .= "$end\n";
				if(!$_SESSION['core']->use_javascript) {
					$content .= '<input type="submit" value="' . _("Set") . '" \>'.NL;
				}
				//$content .= "<noscript>\n";
				//$content .= "<input type=\"submit\" value=\"" . _("Set") . "\">\n";
				//$content .= "</noscript>\n";
				$content .= "</form>\n";
			}
			
			if($previous > 0) {
				if($previous < $min_refresh) { $previous = $min_refresh; }
				$content .= '<meta http-equiv="refresh" content="'.$previous.'" />'.NL;
			}
	}
	return $content;
}

?>
