<?php
/*
* Display a table with upload list
*
* @author Moritz Warning <mwarning@users.sourceforge.net>
*/
function upstats()
{
	$content = NULL;
	$_SESSION["headline"] = _("Statistics").": "._("Upload");

	$content .= '<table cellspacing="0" cellpadding="2" border="0">'."\n";

	$headers = array();
	$headers["name"]	= _("Name");
	$headers["percent"]	= _("%");
        $headers["requests"]	= _("Requests");
	$headers["uploaded"]	= _("Uploaded");
	$columns = count($headers);
	
	//print header
	$content .= getTableHeader($headers, "upstats");
	
	$upstats_array = $_SESSION['interface']->getUpstats();
	
	$files = sort_objects($upstats_array, "requests", "DESC", "upstats");

	$c = 0;
	$total_uploaded = 0;
	$total_requests = 0;
	foreach($files as $equals) {
		foreach($equals as $file)
		{
			if($c%2 == 0)	{  $content .= '<tr class="alt_list">'.NL; }
			else		{  $content .= '<tr class="list">'.NL; }
			$content .= '<td align="left">'.hrName($file->name)."</td>\n";
			$content .= '<td align="right">'.sprintf("%01.1f", $file->percent)."%</td>\n";
			$content .= '<td align="center">'.$file->requests."</td>\n";
			$content .= '<td align="right">'.hrSize($file->uploaded)."</td>\n";
			$content .= "</tr>\n";
			$total_uploaded += $file->uploaded;
			$total_requests += $file->requests;
			$total_percent += $file->percent;
			$c++;
		}
	}
	if($c%2 == 0)	{  $content .= '<tr class="alt_list">'.NL; }
	else		{  $content .= '<tr class="list">'.NL; }
	$content .= "<td></td>\n";
	if($c != 0) {
		$content .= '<td align="right"><b>~'.sprintf("%01.1f", $total_percent/$c)."%</b></td>\n";
		$content .= '<td align="center"><b>'.$total_requests."</b></td>\n";
		$content .= '<td align="right"><b>'.hrSize($total_uploaded)."</b></td>\n";
	} else {
		$content .= '<td align="center" colspan="3"><b>'._("Not Available.")."</b></td>\n";
	}
	$content .= "</tr>\n";
	
	$content .= "</table>\n";
	return $content;
}

?>
