<?php

/*
* sidebar theme template functions
*
* @author   Don Seiler <don@NOSPAM.seiler.us>
* @author   Moritz Warning <mwarning@users.sourceforge.net>
*/

function getSite() {

	$body = $_SESSION['core']->getBody();
	$theme_path = $_SESSION['core']->subDirs["theme_dir"]  . $_SESSION['user']->theme;
	
	$content = '<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">'."\n";
	$content .= "<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n";
	$content .= "<head>\n";
        $content .= "<title>".$_SESSION['title']."</title>\n";
	$content .= '<link rel="stylesheet" href="'.$theme_path .'/style.css" type="text/css" />'."\n";
        $content .= "</head>\n";
        $content .= "<body>\n";
	
	$content .= '<table height="100%" width="100%" border="0"><tr>'."\n";
	
	$content .= '<td valign="top" width="10%">'."\n";
        $content .= getHeader();
	$content .= "</td>\n";
	
	$content .= '<td valign="top" align="center">'."\n";
	    
	$content .= '<table width="98%" align="center"><tr>'."\n";
	$content .= '<td align="left" width="33%">'.$_SESSION['message']."</td>\n";
	$content .= '<td align="center" width="33%"><h3>'.$_SESSION['headline']."</h3></td>\n";
	$content .= '<td align="right" width="33%">'.getPageRefresh()."</td>\n";
	$content .= "</tr></table>\n";
	
	$content .= $body;
	
	$content .= "</td>\n</tr>\n";
	
	$content .= '<tr><td valign="bottom" colspan="2">'."\n";
	$content .= "<hr size=\"1\" noshade />\n";
	$content .= '<div class="smalltext">'.getVersionString()."</div>\n";
	$content .= "</td></tr>\n";
	
	$content .= "</table>\n";
	
	$content .= "</body>\n";
	$content .= "</html>";
        return $content;
}

function getHeader() {
	$menu = $_SESSION["core"]->getMenu();

	// Now display the actual menu
	$i = 0;
	$first = TRUE;
	$content .= '<table class="panel" align="center" rules="all">'."\n";

	foreach($menu as $link)
	{
		if ($link->active) 	{ $content .= '<tr><td height="22" bgcolor="#cfcee0">'; }
		else 			{ $content .= '<tr><td height="22">'; }
		$content .= '<a href="'.$link->href.'">' . $link->text . '</a></td></tr>'."\n";
	}
	$content .= "</table>\n";
	return $content;
}
?>
